<% _.each(specs, function(spec) { %>
<div class="panel panel-default">
  <div class="panel-heading">
    <h4 class="panel-title">
      <a data-toggle="collapse" href="#collapseTestCase<%= spec.id %>">
        <% if (spec.status === "passed") { %>
        <!--
  ~ #%L
  ~ chvote-bo
  ~ %%
  ~ Copyright (C) 2016 - 2019 République et Canton de Genève
  ~ %%
  ~ This program is free software: you can redistribute it and/or modify
  ~ it under the terms of the GNU Affero General Public License as published by
  ~ the Free Software Foundation, either version 3 of the License, or
  ~ (at your option) any later version.
  ~
  ~ This program is distributed in the hope that it will be useful,
  ~ but WITHOUT ANY WARRANTY; without even the implied warranty of
  ~ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
  ~ GNU General Public License for more details.
  ~
  ~ You should have received a copy of the GNU Affero General Public License
  ~ along with this program. If not, see <http://www.gnu.org/licenses/>.
  ~ #L%
  -->

<span class="label label-success"><i class="glyphicon glyphicon-ok"></i></span>
        <font color="green"><b>TestCase:</b><%= spec.name %></font>
        <% } else if (spec.status === "pending") { %>
        <span class="label label-warning"><i class="glyphicon glyphicon-minus"></i></span>
        <font color="green"><b>TestCase:</b><%= spec.name %></font>
        <% } else if (spec.status === "failed") { %>
        <span class="label label-danger"><i class="glyphicon glyphicon-remove"></i></span>
        <font color="green"><b>TestCase:</b><%= spec.name %></font>
        <% } %>
      </a>
    </h4>
  </div>

  <div id="collapseTestCase<%= spec.id %>" class="panel-collapse collapse">
    <div class="panel-body">
      <div class="scenario-container">
        <p>
          <strong>Date :</strong> <%= spec.runningDate %>
        <p>
        <h3> Controls: </h3>
        <p>
          <strong>Number of controls validated : </strong> <%= spec.passedExpectationsCount %>
        </p>
        <p>
          <strong>Number of controls failed : </strong> <%= spec.failedExpectations.length %>
        </p>

        <% if (spec.failedExpectations.length) { %>
        <h3>Validation in error</h3>
        <% _.each(spec.failedExpectations, function(failedExpectation) { %>
        <h4><%= failedExpectation.message %></h4>
        <pre class="exception"><%= failedExpectation.stack %></pre>
        <% }); %>
        <% } %>


        <h3> Screenshots: </h3>
        <div class="row">

          <% _.each(spec.screenshots, function(sc) { %>
          <div class="col-lg-3">
            <div class="sc_title"><%= sc.title %></div>
            <a class="screenshot" href="<%= sc.relativeFileName %>"
               data-lightbox="<%= sc.relativeFileName %>" data-title="<%= sc.title %>">
              <img src="<%= sc.relativeFileName %>" style="width:100%" alt="Not found: <%= sc.relativeFileName %>"/>
            </a>
          </div>

          <% }); %>
        </div>

      </div>
    </div>
  </div>
</div>
<% }); %>
